MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026461Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-07-20 12:342015-10-23 20:49
Reporterszv 
Assigned Toski 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026461: STEP Import interface crashes
DescriptionSTEP Import interface crashes during reading the attached file.
Steps To Reproducepload DATAEXCHANGE
ReadStep d1 d:/test_ap227.stp
TagsNo tags attached.
Test case numberbugs step bug26461
Attached Fileszip file icon test_ap227.zip (163,283 bytes) 2015-07-20 12:34

- Relationships

-  Notes
(0044489)
git (administrator)
2015-08-20 18:11

Branch CR26461 has been created by ika.

SHA-1: 5e6eec0245e55ebf224392bac2d226bd0947700d


Detailed log of new commits:

Author: ika
Date: Thu Aug 20 18:10:23 2015 +0300

    0026461: STEP Import interface crashes
    
    Add a check for NULL;
    some code refactoring.
(0044490)
ika (developer)
2015-08-20 18:12

Dear GKA,

could you please review branch CR26461?
(0044529)
gka (developer)
2015-08-24 10:30

Branch CR26461 is ready to be tested
(0044533)
git (administrator)
2015-08-24 11:22

Branch CR26461 has been updated forcibly by mkv.

SHA-1: bfec4e09cb85be295d4cc6787178ac91718f6170
(0044561)
mkv (tester)
2015-08-24 16:55

Dear BugMaster,
Branch CR26461 was rebased on current master of occt git-repository.
SHA-1: bfec4e09cb85be295d4cc6787178ac91718f6170
(0044562)
mkv (tester)
2015-08-24 16:56

Dear BugMaster,
Branch CR26461 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: bfec4e09cb85be295d4cc6787178ac91718f6170

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26461-master-occt-64/Debian70-64/bugs/step/bug26461.html [^]
http://occt-tests/CR26461-master-occt-64/Windows-64-VC10/bugs/step/bug26461.html [^]
bugs step bug26461: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91741415 / 91603502 [+0.15%]
Total CPU difference: 17639.559999999117 / 17713.989999998943 [-0.42%]
products component :
Total MEMORY difference: 25122797 / 25123208 [-0.00%]
Total CPU difference: 7024.20999999998 / 7008.090000000001 [+0.23%]

Testing on Windows:
occt component :
Total MEMORY difference: 57063775 / 57056005 [+0.01%]
Total CPU difference: 16546.495666599076 / 16696.693429399114 [-0.90%]
products component :
Total MEMORY difference: 16120029 / 16119994 [+0.00%]
Total CPU difference: 5241.446398799961 / 5290.8519154999685 [-0.93%]

There are no differences in images found by testdiff.
(0044563)
git (administrator)
2015-08-24 16:56

Branch CR26461 has been updated by mkv.

SHA-1: 0d31f7c96d574dede32c510db938dc7d7a585073


Detailed log of new commits:

Author: mkv
Date: Mon Aug 24 16:38:27 2015 +0300

    Test case for issue CR26461

(0047049)
git (administrator)
2015-10-16 16:47

Branch CR26461 has been deleted by kgv.

SHA-1: 0d31f7c96d574dede32c510db938dc7d7a585073

- Related Changesets
occt: master 9c3cce7a
Timestamp: 2015-08-27 10:30:38
Author: ika
Committer: ski
Details ] Diff ]
0026461: STEP Import interface crashes

Add a check for NULL;
some code refactoring.

Test case for issue CR26461
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
add - tests/bugs/step/bug26461 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-20 12:34 szv New Issue
2015-07-20 12:34 szv Assigned To => gka
2015-07-20 12:34 szv File Added: test_ap227.zip
2015-07-20 12:37 szv Steps to Reproduce Updated View Revisions
2015-08-20 15:45 gka Assigned To gka => ika
2015-08-20 15:45 gka Status new => assigned
2015-08-20 18:11 git Note Added: 0044489
2015-08-20 18:12 ika Note Added: 0044490
2015-08-20 18:12 ika Assigned To ika => gka
2015-08-20 18:12 ika Status assigned => resolved
2015-08-24 10:30 gka Note Added: 0044529
2015-08-24 10:30 gka Assigned To gka => bugmaster
2015-08-24 10:30 gka Status resolved => reviewed
2015-08-24 11:05 mkv Assigned To bugmaster => mkv
2015-08-24 11:22 git Note Added: 0044533
2015-08-24 16:55 mkv Note Added: 0044561
2015-08-24 16:56 mkv Note Added: 0044562
2015-08-24 16:56 mkv Assigned To mkv => bugmaster
2015-08-24 16:56 mkv Status reviewed => tested
2015-08-24 16:56 git Note Added: 0044563
2015-08-24 16:57 mkv Test case number => bugs step bug26461
2015-08-26 11:17 abv Target Version 7.0.0 => 6.9.1
2015-08-28 11:44 ski Changeset attached => occt master 9c3cce7a
2015-08-28 11:44 ski Assigned To bugmaster => ski
2015-08-28 11:44 ski Status tested => verified
2015-08-28 11:44 ski Resolution open => fixed
2015-10-16 14:56 aiv Status verified => closed
2015-10-16 16:47 git Note Added: 0047049
2015-10-23 20:49 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker